import { ElementRef, OnChanges } from '@angular/core';
import { EventsService } from '../services/events.service';
import { BackgroundModel, ButtonStyleModel } from '../styles/style.model';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class ButtonDirectiveDirective implements OnChanges {
    private el;
    private eventService;
    buttonStyle?: ButtonStyleModel;
    color?: string;
    scrollValue?: number;
    backgroundInfo?: BackgroundModel;
    constructor(el: ElementRef, eventService: EventsService);
    ngOnChanges(): void;
    ngOnDestroy(): void;
    applyButtonStyleChanges(): void;
    applyButtonType(style: ButtonStyleModel, backgroundInfo?: BackgroundModel): void;
    applyButtonShape(style: ButtonStyleModel): void;
    getTextColor(bgColor: string): "#000000" | "#ffffff" | "#ffffff;";
    buttonStyleSubscription?: Subscription;
    buttonStyleChangeCheck(): void;
    changeButtonStyle(id: any, style: ButtonStyleModel, backgroundInfo: BackgroundModel): void;
    onHover(): void;
    onLeave(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ButtonDirectiveDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ButtonDirectiveDirective, "[simpoButtonDirective]", never, { "buttonStyle": { "alias": "buttonStyle"; "required": false; }; "color": { "alias": "color"; "required": false; }; "scrollValue": { "alias": "scrollValue"; "required": false; }; "backgroundInfo": { "alias": "backgroundInfo"; "required": false; }; }, {}, never, never, true, never>;
}
